/* eslint-disable  import/extensions */
const path = require("path");

const commonResolve = require("@bigbinary/neeto-commons-frontend/configs/webpack/resolve.js");

module.exports = {
  ...commonResolve.alias,
  "@bigbinary/neetoui/dist": path.resolve(
    __dirname,
    "../../../",
    "neetoui/dist/index.css"
  ),
  "@bigbinary/neeto-form-frontend/dist": path.resolve(
    __dirname,
    "../../../",
    "neeto-form-frontend/dist"
  ),
  "@bigbinary/neeto-time-zones/dist": path.resolve(
    __dirname,
    "../../../",
    "neeto-time-zones/dist"
  ),
  images: path.resolve(process.cwd(), "app/assets/images"),
  assert: require.resolve("assert/"),
  buffer: require.resolve("buffer/"),
  crypto: require.resolve("crypto-browserify"),
  http: require.resolve("stream-http"),
  https: require.resolve("https-browserify"),
  os: require.resolve("os-browserify/browser"),
  path: require.resolve("path-browserify"),
  perf_hooks: require.resolve("perf_hooks"),
  stream: require.resolve("stream-browserify"),
  tty: require.resolve("tty-browserify"),
  url: require.resolve("url/"),
  util: require.resolve("util/"),
  vm: require.resolve("vm-browserify"),
  zlib: require.resolve("browserify-zlib"),
};
